Skip to:
Content
Pages
Categories
Search
Top
Bottom

Buddypress 1.7

Viewing 25 replies - 1 through 25 (of 27 total)
  • Avatar of @modemlooper
    @modemlooper
    Moderator

    @modemlooper

    A first RC to test will probably be within a few weeks. Not to be used in live sites until the bugs are shaken out.

    Avatar of ethanrocker
    ethanrocker
    Participant

    @ethanrocker

    Hey, to follow up…

    Is there an anticipated release date for the official release?

    Thanks.

    Avatar of @modemlooper
    @modemlooper
    Moderator

    @modemlooper

    No date. Everyone works on BP as a volunteer and its up to how much the community works on it.

    Avatar of brayjason
    brayjason
    Participant

    @brayjason

    Man I hope soon! I’ve been checking back every single day. I’m really looking forward to 1.7. I don’t care if it has bugs lol. I just wanna test it out! : )

    Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    You can already check it out in test install. Just download trunk version
    svn co http://buddypress.svn.wordpress.org/trunk/
    or zip file from link at bottom of the page at https://buddypress.trac.wordpress.org/browser/trunk

    Re timeline, check the BP roadmap at https://buddypress.trac.wordpress.org/roadmap
    BP 17 has 71 tickets to go. Patches welcome.

    Avatar of VegasKev88
    VegasKev88
    Participant

    @vegaskev

    Down to 11 tickets. I’ve been on the hunt to try and determine the release date, as I’m starting a bp project now and am wondering if the 1.7 release date will speed up/slow down my own release date of Jan 1st, 2013

    Any thoughts and comments on my situation are welcome.

    Avatar of John James Jacoby
    John James Jacoby
    Keymaster

    @johnjamesjacoby

    If you’re starting a new site with BuddyPress, and are a developer, you should be using trunk. By the time your site ships, so will 1.7.

    Avatar of VegasKev88
    VegasKev88
    Participant

    @vegaskev

    Thanks JJJ. I appreciate the heads up. Can you include a link to the trunk. I haven’t used any of the dev versions of BP yet, so I have not a clue where trunk would be. Thanks in advance.

    Avatar of @modemlooper
    @modemlooper
    Moderator

    @modemlooper

    Avatar of VegasKev88
    VegasKev88
    Participant

    @vegaskev

    Thanks I grabbed it, but the backwards compatibility with non-bp (wp) themes was pretty buggy so I switched to bp 1.6 and just modified my theme to meet bp’s needs.

    I see that we are down to about 9 tickets before 1.7 drops so i bet we are less than a couple of months away. Really interested in seeing what custom scripts and plugins I wrote that I’ll be able to uninstall with all the new features of 1.7.

    Keep up the great work BP Devs. I can’t wait until I have the free time to help out with BP in the next 6-8 months!

    Avatar of VegasKev88
    VegasKev88
    Participant

    @vegaskev

    According to trac https://buddypress.trac.wordpress.org/roadmap we are only about 5 weeks away.

    Avatar of John James Jacoby
    John James Jacoby
    Keymaster

    @johnjamesjacoby

    Thanks for the kind words. :)

    the backwards compatibility with non-bp (wp) themes was pretty buggy

    This isn’t very helpful. Can you explain what bugs you experienced, and how to duplicate them?

    Avatar of tarkham
    tarkham
    Participant

    @tarkham

    @johnjamesjacoby
    Hi i downloaded the trunk version and tried to activate it on my test site and received a error. WordPress is 3.5 version and downloaded the trunk from the above given link…Here is the error i received

    Plugin could not be activated because it triggered a fatal error.

    Warning: require(wp-content/plugins/buddypress/bp-core/bp-core-template-loader.php) [function.require]: failed to open stream: No such file or directory in wp-content/plugins/trunk/bp-loader.php on line 401

    Fatal error: require() [function.require]: Failed opening required ‘wp-content/plugins/buddypress/bp-core/bp-core-template-loader.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in wp-content/plugins/trunk/bp-loader.php on line 401

    Avatar of John James Jacoby
    John James Jacoby
    Keymaster

    @johnjamesjacoby

    Sounds like you didn’t completely move all the files in.

    Also, I deleted the full paths to your file server that you pasted; unless you want to make yourself vulnerable to attack, which I would advise against. :)

    Avatar of VegasKev88
    VegasKev88
    Participant

    @vegaskev

    @tarkham Not for nothing, but you’re also using the Vantage theme, which is still fairly buggy as I’m sure you already know. If you need help with Vantage, let me know, as I’ve been chopping it up and cleaning up some of the code for one of my own installs of the theme. You can find me on their forum and PM me at VegasKev

    @jjj John, you were completely right about my comments not being very helpful in my last post on this thread. I should have taken notes when I started seeing the bugs I saw in 1.7 back then, but I was all hopped up on redbull and was working on minimal sleep. That is my fault entirely. My apologies.

    Avatar of tarkham
    tarkham
    Participant

    @tarkham

    @johnjamesjacoby
    for some reason i was not able to install 1.7 trunk…same error persists even after moving plugin using ftp.

    Avatar of tarkham
    tarkham
    Participant

    @tarkham

    @vegaskev
    that is my test site and vantage is installed by my friend…it looks a nice directory theme…i am a web accessibility specialist not a core developer so any help you need let me know…would like to contribute.

    Avatar of @ChrisClayton
    @ChrisClayton
    Participant

    @chrisclayton

    @tarkham for the fatal errors being posted, If you download trunk, you need to rename the directory to ‘buddypress’ as it defaults to ‘trunk’ and BP_PLUGIN_DIR is hardcoded to ‘/buddypress’.

    Avatar of tarkham
    tarkham
    Participant

    @tarkham

    @chrisclayton
    That solved the problem…installed and activated the plugin…the forums are missing, do i need to seperately install bbpress?

    Avatar of brayjason
    brayjason
    Participant

    @brayjason

    @chrisclayton How do you rename the directory? do you just rename the zip file? I am very excited to try 1.7 out. @takham did you ever figure out the forum issue?

    Avatar of brayjason
    brayjason
    Participant

    @brayjason

    nevermind, I got it (newb status)

    Avatar of TimCarey
    TimCarey
    Participant

    @timcarey

    I’m also very eager For buddy press 7.1 .
    What’s the easiest way to become involved in volunteering For Buddypress development ?

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    At the moment testing trunk against WP standard & MS installs is a good way to help, reporting any issues found to the BP tracĀ  http://buddypress.trac.wordpress.org/ or look through tickets and see if there are any that you might be able to help with return patches for or test if feedback is required.

    Avatar of bobsgt
    bobsgt
    Participant

    @bobsgt

    Tried to install BB 1.7 rev. 6885 trunk
    This is a multisite installtion where wordpress is installed in a subdirectory named editions.

    Was able to network install, network activate and configure. Once completed, I went to the admin panel and tried to list all of my pages. The following warnings appeared at the top of the panel. The same error occurs when I try to list all posts. This occurs in the parent site.

    I have plugin activation allowed by sites but there is no evidence of buddy press in the subsite plugin list. The warnings are:

    Warning: preg_match() [function.preg-match]: Compilation failed: unrecognized character after (? or (?- at offset 3 in /home/surfingh/public_html/editions/wp-includes/class-wp.php on line 204

    Warning: preg_match() [function.preg-match]: Compilation failed: unrecognized character after (? or (?- at offset 3 in /home/surfingh/public_html/editions/wp-includes/class-wp.php on line 205

    Warning: preg_match() [function.preg-match]: Compilation failed: unrecognized character after (? or (?- at offset 3 in /home/surfingh/public_html/editions/wp-includes/class-wp.php on line 204

    Warning: preg_match() [function.preg-match]: Compilation failed: unrecognized character after (? or (?- at offset 3 in /home/surfingh/public_html/editions/wp-includes/class-wp.php on line 205
    ===========================================

    204 if ( preg_match(“#^$match#”, $request_match, $matches) ||
    205 preg_match(“#^$match#”, urldecode($request_match), $matches) ) {

    Avatar of bobsgt
    bobsgt
    Participant

    @bobsgt

    one issue resolved, one still open.

    Now seems to be working on the parent site. Had to add Search page and another page..seems to have cleared the issue.

    Still no evidence of a buddypress plug in on the subsite

Viewing 25 replies - 1 through 25 (of 27 total)

You must be logged in to reply to this topic.